package com.kingdee.eas.custom.compensation.startingsalary.backgroundtransaction;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.compensation.startingsalary.backgroundtransaction.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class ConfirmationSalaryFacade extends AbstractBizCtrl implements IConfirmationSalaryFacade
{
    public ConfirmationSalaryFacade()
    {
        super();
        registerInterface(IConfirmationSalaryFacade.class, this);
    }
    public ConfirmationSalaryFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IConfirmationSalaryFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("D97F8EFF");
    }
    private ConfirmationSalaryFacadeController getController() throws BOSException
    {
        return (ConfirmationSalaryFacadeController)getBizController();
    }
    /**
     *创建入职薪酬确认单-User defined method
     *@param employmentBill 入职单ID（多个用，隔开）
     *@param leadDays 前沿天数
     *@param startDate 开始时间（yyyy-MM-dd）
     *@param endDate 结束时间（yyyy-MM-dd）
     */
    public void createBill(String employmentBill, int leadDays, String startDate, String endDate) throws BOSException
    {
        try {
            getController().createBill(getContext(), employmentBill, leadDays, startDate, endDate);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}